
Redmine - Feature #1250

Ask confirmation on PageLeave in wiki

2008-05-17 14:13 - Vyatcheslav Yatskovsky

Status: Closed Start date: 2008-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Please, add a confirmation like "Are you sure to abandon changes?" when user leaves a wiki page in edit mode. I've recently lost a

hour of hard work when occasionally pressed Del and the browser brought me to the previous page. Google Docs has this feature.

Related issues:

Has duplicate Redmine - Feature #4433: Javascript prompt on page leaving Closed 2009-12-17

Is duplicate of Redmine - Feature #2910: Warning on leaving edited issue/wiki... Closed 2009-03-05

History

#1 - 2009-12-17 23:01 - Eric Davis

- Assignee set to Eric Davis

I have a simple Rails plugin under development that might work for this, http://github.com/edavis10/form_protector.

#2 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#3 - 2011-12-15 13:47 - Etienne Massip

- Category set to Wiki

- Status changed from New to Closed

- Resolution set to Duplicate

This has been implemented with #2910 (r4900) for 1.2.0.
